GET /api/v202203/utilityPlatform/meter/{meterId}/dataAccessReleaseState

Retrieves the data access release status for a meter

GetDataAccessReleaseStateV202203
Use this endpoint to check whether a meter has an active data access release and its current status (Required, Pending, Released, etc.). Submission date is null if no release has been submitted.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId Unique numeric identifier of the meter integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

DataAccessReleaseState
Property Description Type
releaseStatus DataAccessReleaseStatus
DataAccessReleaseStatus properties
Property Description Type
dataAccessReleaseStatusId Id of the Data Access Release Status Possible values are: 1 - Not Applicable 2 - Required 3 - Pending 4 - Released 5 - Declined integer (int32)
dataAccessReleaseStatusInfo Data Access Release Status Information Possible values are: Not Applicable Required Pending Released Declined string
submittedDate The date that the data access release was submitted. Null if there is not a release yet. string (date-time)
Example Response application/json
{  "releaseStatus": {    "dataAccessReleaseStatusId": 1,    "dataAccessReleaseStatusInfo": "string"
  },  "submittedDate": "2026-06-29"
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.